/*****************************/
/** Wartości custom dla widoku: Odliczanie w kafelkach  **/
/*****************************/

#CountdownTiles {

    .countdown .figure>span,
    .figure>span,
    .count-title,
    .countdown .figure .top,
    .countdown .figure .top-back,
    .countdown .count-title,
    .countdown .figure .bottom-back {
        color: #940C0C;
    }

    .countdown {
        .figure {

            &.days .top,
            &.days .bottom-back,
            &.hours .top,
            &.hours .bottom-back,
            &.minutes .top,
            &.minutes .bottom-back,
            &.seconds .top,
            &.seconds .bottom-back {
                background-color: #2E13C2;
            }

            &.days,
            &.days .bottom,
            &.days .top-back,
            &.hours,
            &.hours .bottom,
            &.hours .top-back,
            &.minutes,
            &.minutes .bottom,
            &.minutes .top-back,
            &.seconds,
            &.seconds .bottom,
            &.seconds .top-back {
                background-color: #8D74DB;
            }

        }

        .count-title {
            color: TIMER_KOLOR_TEKSTU;
            font-size: 20px;
        }
    }

    .timer-title {
        font-size: TIMER_NAGLOWEK_WIELKOSC_CZCIONKI;
        color: TIMER_NAGLOWEK_KOLOR_TEKSTU;
        margin-bottom: TIMER_NAGLOWEK_ODSTEP !important;
    }

    TIMER_TLO;
}

/*****************************/
/** Wartości custom dla widoku: Siatka prelegentów  **/
/*****************************/

.speakerName {
    color: #000000;
    font-size: 16px;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 0px;
}

.speakerInfo {
    .speakerPosition {
        color: #000000;
        font-size: 14px;
        margin-top: 0px;
        margin-bottom: 0px;
        text-align: center;
    }

    .speakerCompany {
        color: #000000;
        font-size: 14px;
        margin-top: 0px;
        margin-bottom: 0px;
        text-align: center;
    }

    .speakerBio {
        color: #000000;
        font-size: 14px;
        margin-top: 0px;
        margin-bottom: 0px;
        text-align: center;
    }
}

.speakerImg {
    width: 200px;
    height: 200px;
    border-radius: 10px;
}

.prelegentItem {
    min-width: 200px;
}

#PrelegenciGrid {
    background-color: transparent;

}

/*****************************/
/** Wartości custom dla widoku: Agenda Grid  **/
/*****************************/

#AgendaGridView {
    .agendaDay {
        font-size: 16px;
        color: #000000;
        border-color: #ffffff00;
        text-align: center;
    }

    .agendaItem:not(.header) {
        font-size: 16px;
        color: #000000;
        border-color: #000000;
        padding-top: 26px;
        padding-bottom: 16px;
        text-align: left;
    }

    .agendaHour {
        color: #000000;
        font-size: 16px;
        text-align: left;
    }

    .header {
        font-size: 18px;
        color: #000000;
        border-bottom-color: #000000;
    }
}


/*****************************/
/** Wartości custom dla widoku: FAQ  **/
/*****************************/

#FAQBorder {
    .odpowiedz {
        font-size: FAQ_ODPOWIEDZ_ROZMIAR_TEKSTU;
        color: FAQ_ODPOWIEDZ_KOLOR_TEKSTU;
        background-color: FAQ_ODPOWIEDZ_KOLOR_TLA;
        text-align: left;
    }

    .pytanie {
        font-size: 14px;
        color: #000000;
        border-width: 1px;
        border-color: #000000;
        background-color: #ffffff;
        text-align: left;
    }

    FAQ_TLO
}

/*****************************/
/** Wartości custom dla widoku: Kontakt  **/
/*****************************/

section:has(#ContactView) {
    ;
}

#ContactView {

    #contact_btnSubmit,
    #contact_spin-button {
        color: #ffffff;
        background-color: #007bff;
        border-color: #007bff;
        font-size: 16px;
        border-radius: 4px;
    }

    label:not(.errors) {
        font-size: 16px;
        color: #000000;
    }

    .form-control {
        font-size: 16px;
        color: #000000;
        border-radius: 4px;

        &:focus {
            border-color: #000000;
            box-shadow: 0 0 0 .2rem #00000040;
        }
    }

    .select2-container--bootstrap4 .select2-selection {
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
    }

    .input-group-text {
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
    }

    .select2-container--bootstrap4.select2-container--focus .select2-selection {
        border-color: #000000;
        box-shadow: 0 0 0 .2rem #00000040;
    }

    div.row:has(button) {
        justify-content: ;
    }

    .form-group {
        margin-bottom: 16px;
    }

    h3 {
        text-align: left;
        color: #000000;
    }

    p.header-text {
        font-size: KONTAKT_NAGLOWEK_ROZMIAR_TEKST_INFORMACYJNY;
        text-align: center;
        color: #424242;
    }

    
    p.footer-text {
        font-size: 12px;
        text-align: center;
        color: #424242;
    }
}

